Class | Resolv::DNS::Resource::TXT
In: | resolv.rb
Parent: | Resource

### Methods

data decode_rdata encode_rdata new

### Constants

TypeValue | = | 16

### Attributes

strings | [R] |

### Public Class methods

decode_rdata(msg)

[Source]

    # File resolv.rb, line 1569
            def self.decode_rdata(msg)
              strings = msg.get_string_list
              return self.new(*strings)
            end

new(first_string, *rest_strings)

[Source]

    # File resolv.rb, line 1556
            def initialize(first_string, *rest_strings)
              @strings = [first_string, *rest_strings]
            end

### Public Instance methods

data()

[Source]

    # File resolv.rb, line 1561
            def data
              @strings[0]
            end

encode_rdata(msg)

[Source]

    # File resolv.rb, line 1565
            def encode_rdata(msg)
              msg.put_string_list(@strings)
            end

[Validate]